import request from '@/utils/httpRequest'

export default class ProgramProjectListInfoService {
  list (params) {
    return request({
      url: '/program/projectList/list',
      method: 'get',
      params: params
    })
  }
  exportFile (params) {
    return request({
      url: '/program/projectList/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
  queryById (id) {
    return request({
      url: '/program/projectList/findById',
      method: 'get',
      params: {id: id}
    })
  }
  findByIdAudit (id) {
    return request({
      url: '/program/projectList/findByIdAudit',
      method: 'get',
      params: {id: id}
    })
  }
  findByIdArchive (id) {
    return request({
      url: '/program/projectList/findByIdArchive',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/program/projectList/save`,
      method: 'post',
      data: inputForm
    })
  }
  saveForm (inputForm) {
    return request({
      url: `/program/projectList/saveForm`,
      method: 'post',
      data: inputForm
    })
  }
  saveFormThree (inputForm) {
    return request({
      url: `/program/projectList/saveFormThree`,
      method: 'post',
      data: inputForm
    })
  }
  saveFormArchive (inputForm) {
    return request({
      url: `/program/projectList/saveFormArchive`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/program/projectList/deleteById',
      method: 'get',
      params: {id: ids}
    })
  }
  findContractPageList (params) {
    return request({
      url: '/program/projectList/findContractPageList',
      method: 'get',
      params: params
    })
  }
  updateStatusById (data) {
    return request({
      url: '/program/projectList/updateStatusById',
      method: 'post',
      data: data
    })
  }
  updateStatusByAuditId (data) {
    return request({
      url: '/program/projectList/updateStatusByAuditId',
      method: 'post',
      data: data
    })
  }
  updateStatusByArchiveId (data) {
    return request({
      url: '/program/projectList/updateStatusByArchiveId',
      method: 'post',
      data: data
    })
  }
  saveReportNo (id) {
    return request({
      url: '/program/projectList/saveReportNo',
      method: 'get',
      params: {id: id}
    })
  }
}
